SoAudioRenderAction(3)

NAME
SoAudioRenderAction - The SoAudioRenderAction class renders the aural parts of the scene graph.

SYNOPSIS

#include <Inventor/actions/SoAudioRenderAction.h>

Inherits SoAction.

  Public Member Functions
virtual SoType getTypeId (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void addMethod (const SoType type, SoActionMethod method)
static void enableElement (const SoType type, const int stackindex)
static void initClass (void)
static void callDoAction (SoAction *action, SoNode *node)
static void callAudioRender (SoAction *action, SoNode *node)

  Protected Member Functions
virtual const SoEnabledElementsList & getEnabledElements (void) const
virtual void beginTraversal (SoNode *node)

  Static Protected Member Functions
static SoEnabledElementsList * getClassEnabledElements (void)
static SoActionMethodList * getClassActionMethods (void)

  Additional Inherited Members

Detailed Description

The SoAudioRenderAction class renders the aural parts of the scene graph. Applying this method at a root node for a scene graph, path or path list will render all sound-related nodes contained within that instance to the current SoAudioDevice.

Member Function Documentation

  SoType SoAudioRenderAction::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoAction. This is used for runtime type checking and 'downward' casting.

Implements SoAction.

  SoType SoAudioRenderAction::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  void SoAudioRenderAction::addMethod (const SoType type, SoActionMethod method) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

  void SoAudioRenderAction::enableElement (const SoType type, const int stackindex) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

  const SoEnabledElementsList & SoAudioRenderAction::getEnabledElements (void) const [protected], [virtual]
Returns list of enabled elements.

Reimplemented from SoAction.

  SoEnabledElementsList * SoAudioRenderAction::getClassEnabledElements (void) [static], [protected]
Returns list of enabled elements for this class. The enabledElements and methods variables are protected in the original OIV API. This is not such a good idea, since exposed static class member variables is a major grievance with regard to Win32 DLLs. This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

  SoActionMethodList * SoAudioRenderAction::getClassActionMethods (void) [static], [protected]
Returns list of action methods for this class. The enabledElements and methods variables are protected in the original OIV API. This is not such a good idea, since exposed static class member variables is a major grievance with regard to Win32 DLLs. This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

  void SoAudioRenderAction::beginTraversal (SoNode * node) [protected], [virtual]
This virtual method is called from SoAction::apply(), and is the entry point for the actual scene graph traversal.

It can be overridden to initialize the action at traversal start, for specific initializations in the action subclasses inheriting SoAction.

Default method just calls traverse(), which any overridden implementation of the method must do too (or call SoAction::beginTraversal()) to trigger the scene graph traversal.

Reimplemented from SoAction.

Author

Generated automatically by Doxygen for Coin from the source code.